title1 1976 CENSUS OF CANADA- BST: SD-LONG FORM- SDECOB50
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V6_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V10_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'CENSUS DIVISION'
             4          = 'CENSUS SUBDIVISI'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       CD   3-4
       CSD   5-8
       SGCCSD   9-11
       CSDTYPE   12-13
       CSDSIZE   14-14
       CCS   15-18
       CMACA   19-21
       CSDNAM   $CHAR30.
       RECTYPE   52-52
       DIM01   53-55
       V1   56-64
       V2   65-73
       V3   74-82
       V4   83-91
       V5   92-100
       V6   101-109
       V7   110-118
       V8   119-127
       V9   128-136
       V10   137-145
       V11   146-154
       V12   155-163
       V13   164-172
       V14   173-181
       V15   182-190
       V16   191-199
       V17   200-208
       V18   209-217
       V19   218-226
       V20   227-235
       V21   236-244
      ;
LABEL   PROV = 'Province (region)'
        CD = 'Census Division'
        CSD = 'Census subdivision'
        SGCCSD = 'Standard Geographical Classification'
        CSDTYPE = 'CSD type code'
        CSDSIZE = 'CSD pop size gp'
        CCS = 'Census consolidated subdivision'
        CMACA = 'Census Metropolitan Area'
        CSDNAM = 'Census subdivision name'
        RECTYPE = 'Record Type'
        DIM01 = 'DIM01_REQ01_SEQ'
        V1 = 'Tot migr-age 5+: tot'
        V2 = 'Tot migr-age 5+: males'
        V3 = 'Tot migr-age 5+: females'
        V4 = 'Tot migr-age 5-14: tot'
        V5 = 'Tot migr-age 5-14: males'
        V6 = 'Tot migr-age 5-14: females'
        V7 = 'Migr in emp LF-age 5+: tot'
        V8 = 'Migr in emp LF-age 5+: males'
        V9 = 'Migr in emp LF-age 5+: females'
        V10 = 'Migr in unemp LF-age 5+: tot'
        V11 = 'Migr in unemp LF-age 5+: males'
        V12 = 'Migr in unemp LF-age 5+: females'
        V13 = 'Tot migr in LF-age 5+: tot'
        V14 = 'Tot migr in LF-age 5+: males'
        V15 = 'Tot migr in LF-age 5+: females'
        V16 = 'Migr not in LF-age 5+: tot'
        V17 = 'Migr not in LF-age 5+: males'
        V18 = 'Migr not in LF-age 5+: females'
        V19 = 'Tot migr-age 15+: tot'
        V20 = 'Tot migr-age 15+: males'
        V21 = 'Tot migr-age 15+: females'
      ;
FORMAT  PROV        V1_F.
        CSDSIZE     V6_F.
        RECTYPE     V10_F.
;
